import request from '@/utils/request'

// 查询包材库存主表列表
export function listMatenews(query) {
	return request({
		url: '/wms/matenews/list',
		method: 'get',
		params: query
	});
}

// 查询包材库存主表详细
export function getMatenews(storageId) {
	return request({
		url: '/wms/matenews/' + storageId,
		method: 'get'
		});
}

// 新增包材库存主表
export function addMatenews(data) {
	return request({
		url: '/wms/matenews',
		method: 'post',
		data: data
	});
}

// 修改包材库存主表
export function updateMatenews(data) {
	return request({
		url: '/wms/matenews',
		method: 'put',
		data: data
	});
}

// 删除包材库存主表
export function delMatenews(storageId) {
	return request({
		url: '/wms/matenews/' + storageId,
		method: 'delete'
	});
}
